Skip to main content
GET
/
structured_targets
Get Structured Targets
curl --request GET \
  --url https://api.elections.kalshi.com/trade-api/v2/structured_targets
{
  "structured_targets": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "details": {},
      "source_id": "<string>",
      "source_ids": {},
      "last_updated_ts": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>"
}

Query Parameters

ids
string[]

Filter by specific structured target IDs. Pass multiple IDs by repeating the parameter (e.g. ?ids=uuid1&ids=uuid2).

type
string

Filter by structured target type

Example:

"basketball_player"

competition
string

Filter by competition. Matches against the league, conference, division, or tour in the structured target details.

Example:

"NBA"

page_size
integer<int32>
default:100

Number of items per page (min 1, max 2000, default 100)

Required range: 1 <= x <= 2000
cursor
string

Pagination cursor

Response

Structured targets retrieved successfully

structured_targets
object[]
cursor
string

Pagination cursor for the next page. Empty if there are no more results.